# server group

Server groups provide a mechanism to group servers according to certain policy.

Compute v2

## server group create

Create a new server group.

    openstack server group create
        [--policy <policy>]
        [--rule <key=value>]
        <name>

--policy <policy>

  Add a policy to <name> Specify –os-compute-api-version 2.15 or higher for the ‘soft-affinity’ or ‘soft-anti-affinity’ policy.

--rule <key=value>

  A rule for the policy. Currently, only the ‘max_server_per_host’ rule is supported for the ‘anti-affinity’ policy.

name

  New server group name

## server group delete

Delete existing server group(s).

    openstack server group delete <server-group> [<server-group> ...]

server-group

  server group(s) to delete (name or ID)

## server group list

List all server groups.

    openstack server group list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--all-projects]
        [--long]
        [--limit <limit>]
        [--offset <offset>]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--all-projects

  Display information from all projects (admin only)

--long

  List additional fields in output

--limit <limit>

  The maximum number of entries to return. If the value exceeds the server-defined maximum, then the maximum value will be used.

--offset <offset>

  The (zero-based) offset of the first item in the collection to return.

## server group show

Display server group details.

    openstack server group show <server-group>

server-group

  server group to display (name or ID)

this page last updated: 2026-04-01 09:44:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.